#include "common/pixel.hlsl"

Texture2D diffuse : register(t0, space2);
SamplerState smp : register(s0, space2);

// Pixel shader main function
float4 main(PSInput input) : SV_TARGET
{
    float4 color = diffuse.Sample(smp, input.uv);
    color *= input.color;
    return color;
}